package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DataSyncAgent;
import com.sa.ibiz.demo.demo.service.dto.DataSyncAgentSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DataSyncAgent] 服务对象接口
 */
public interface DataSyncAgentService extends IService<DataSyncAgent>{

	boolean checkKey(DataSyncAgent et);
	boolean getDraft(DataSyncAgent et);
	boolean remove(DataSyncAgent et);
		DataSyncAgent get(DataSyncAgent et);
	boolean create(DataSyncAgent et);
	boolean update(DataSyncAgent et);
    List<DataSyncAgent> listDefault(DataSyncAgentSearchFilter filter) ;
	Page<DataSyncAgent> searchDefault(DataSyncAgentSearchFilter filter);
	/**	 实体[DataSyncAgent] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }